<?php
	/* Modules
	** - access arrays are group ids that users must
	**   be a member of in order to access them.
	*/
	$_modules = [
		'dashboard'	=>	[
			'type'		=>	'module',
			'icon'		=>	'fad fa-tachometer-alt',
			'title'		=>	'Dashboard',
			'file'		=>	'module.dashboard',
			'desc'		=>	'Server Dashboard',
			'access'	=>	[1,2,3,4,5]
		],
		'tools'			=>	[
			'type'		=>	'category',
			'icon'		=>	NULL,
			'title'		=>	'Content Tools',
			'access'	=>	[1,2,3,4,5]
		],
		'items'		=>	[
			'type'		=>	'module',
			'icon'		=>	'far fa-swords',
			'title'		=>	'Item Editor',
			'file'		=>	'module.editor.items',
			'desc'		=>	'Edit Items',
			'access'	=>	[3,4,5]
		],
		'npcs'		=>	[
			'type'		=>	'module',
			'icon'		=>	'fad fa-dragon',
			'title'		=>	'NPC Editor',
			'file'		=>	'module.editor.npc',
			'desc'		=>	'Edit NPCS',
			'access'	=>	[3,4,5]
		],
		'zones'		=>	[
			'type'		=>	'module',
			'icon'		=>	'fad fa-map-marked-alt',
			'title'		=>	'Zone Editor',
			'file'		=>	'module.editor.zone',
			'desc'		=>	'Edit Zones',
			'access'	=>	[3,4,5]
		],
		'mgmt'			=>	[
			'type'		=>	'category',
			'icon'		=>	NULL,
			'title'		=>	'Sever Management',
			'access'	=>	[4,5]
		],
		'players'		=>	[
			'type'		=>	'module',
			'icon'		=>	'fad fa-users',
			'title'		=>	'Player Management',
			'file'		=>	'module.editor.player',
			'desc'		=>	'Manage Player Characters',
			'access'	=>	[4,5]
		]
	];






?>